Module java.naming
Package javax.naming.ldap.spi

# Class LdapDnsProviderResult

java.lang.Object
javax.naming.ldap.spi.LdapDnsProviderResult

public final class LdapDnsProviderResult extends Object
The result of a DNS lookup for an LDAP URL.

This class is used by an `LdapDnsProvider` to return the result of a DNS lookup for a given LDAP URL. The result consists of a domain name and its associated LDAP server endpoints.

A `null` `domainName` is equivalent to and represented by an empty string.

Since:
  12

## Constructor Summary

Constructors
Constructor
Description
`LdapDnsProviderResult(String domainName, List<String> endpoints)`
Construct an LdapDnsProviderResult consisting of a resolved domain name and the LDAP server endpoints that serve the domain.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDomainName()`
Returns the domain name resolved from the LDAP URL.
`List<String>`
`getEndpoints()`
Returns the possibly empty list of individual server endpoints resolved from the LDAP URL.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LdapDnsProviderResult

public LdapDnsProviderResult(String domainName, List<String> endpoints)
Construct an LdapDnsProviderResult consisting of a resolved domain name and the LDAP server endpoints that serve the domain.

Parameters:
  `domainName` - the resolved domain name; can be null.
  `endpoints` - the possibly empty list of resolved LDAP server endpoints
Throws:
  `NullPointerException` - if `endpoints` contains `null` elements.
  `ClassCastException` - if `endpoints` contains non- `String` elements.

## Method Details

### getDomainName

public String getDomainName()
Returns the domain name resolved from the LDAP URL. This method returns the empty string if the `LdapDnsProviderResult` is created with a null domain name.

Returns:
  the resolved domain name

### getEndpoints

public List<String> getEndpoints()
Returns the possibly empty list of individual server endpoints resolved from the LDAP URL.

Returns:
  a possibly empty unmodifiable `List` containing the resolved LDAP server endpoints